Summary: 	Kmago is a frontend to GNU wget
Name:   	kmago
Version: 	1.1
Release: 	3mdk

Source0: 	%{name}-%{version}.tar.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
Requires:	wget
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake arts
BuildRequires:	autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:	libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:	db1 freetype2 libjpeg62 libmng1 libpng2 libqt2 libqt2-devel
BuildRequires:	rpm-build


%description
KMago (KDE Multiple Automated Get Operations) is a download manager which
works as a frontend to GNU wget. KMago features multiple prioritized
downloads with a selectable priority policy, a download resume capability,
and the stability and reliability of the venerable GNU wget.

%prep

%setup  -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt2\
		    --disable-rpath \
		    --disable-debug \
	            --enable-final

%install
make install prefix=%buildroot/%_prefix

install -d %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}):\
command="%_bindir/kmago"\
title="Kmago"\
icon="%{name}.png"\
longtitle="A frontend to GNU wget"\
needs="kde"\
section="Networking/File transfer"
EOF

%clean
rm -fr %buildroot

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus} 

%files
%defattr(-,root,root)
%_bindir/*
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/%name/
%_datadir/apps/%name/*.rc
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/*
#
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/22x22/
%dir %_iconsdir/hicolor/22x22/apps/
%_iconsdir/hicolor/22x22/apps/*
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*
#
#
%_menudir/*  


%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-3mdk
- Move KDE menu entries in %%_datadir/applnk
- Fix and use optimizations
- Requires wget
- Fix BuildRequires for non %%ix86 architectures
- Clean %%files to allow clean updates
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-2mdk
- Add build requires

* Mon Mar 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- Update code

* Sat Mar 17 2001 Daouda Lo <daouda@mandrakesoft.com> 1.0.3-5mdk
- s/tranfert/transfer in menu section

* Fri Mar 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-4mdk
- Move to group "Networking/File trnasfert"

* Tue Mar 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-3mdk
- Rebuild with qt 2.3

* Wed Feb 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-2mdk
- Rebuild

* Tue Feb 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-1mdk
- Update code
- Rebuild with kde > 2.1 beta2

* Fri Jan 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-1mdk
- Update code

* Thu Jan 15 2001 Laurent Montel <lmontel@mandrakesoft.com> 1.0.1-1mdk
- Update code

* Thu Jan 01 2001 Laurent Montel <lmontel@mandrakesoft.com> 1.0-1mdk
- Update code (fixed bugs)

* Thu Dec 12 2000 Laurent Montel <lmontel@mandrakesoft.com> 0.6-1mdk
- Update code (fixed bugs)  

* Thu Dec 07 2000 Laurent Montel <lmontel@mandrakesoft.com> 0.5.3-2mdk
- Fix package  

* Mon Nov 21 2000 Laurent Montel <lmontel@mandrakesoft.com> 0.5.3-1mdk
- Initial package
